CriteriaExpression.BinaryLogical
Keywords: net.corda.core.node.services.vault.CriteriaExpression.BinaryLogical class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class CriteriaExpression.BinaryLogical<O>

- net.corda.core.node.services.vault.CriteriaExpression<O,T>
- - net.corda.core.node.services.vault.CriteriaExpression.BinaryLogical<O>

- Enclosing class:
    CriteriaExpression<O,T>

      public static class CriteriaExpression.BinaryLogical<O>
      extends CriteriaExpression<O,T>

- - ### Constructor Detail

    - #### BinaryLogical

          public BinaryLogical(@NotNull
                               CriteriaExpression<O,java.lang.Boolean> left,
                               @NotNull
                               CriteriaExpression<O,java.lang.Boolean> right,
                               @NotNull
                               BinaryLogicalOperator operator)

  - ### Method Detail

    - #### getLeft

          @NotNull
          public CriteriaExpression<O,java.lang.Boolean> getLeft()

    - #### getRight

          @NotNull
          public CriteriaExpression<O,java.lang.Boolean> getRight()

    - #### getOperator

          @NotNull
          public BinaryLogicalOperator getOperator()

    - #### component1

          @NotNull
          public CriteriaExpression<O,java.lang.Boolean> component1()

    - #### component2

          @NotNull
          public CriteriaExpression<O,java.lang.Boolean> component2()

    - #### component3

          @NotNull
          public BinaryLogicalOperator component3()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.CriteriaExpression.BinaryLogical<O> copy(@NotNull
                                                                                                      CriteriaExpression<O,java.lang.Boolean> left,
                                                                                                      @NotNull
                                                                                                      CriteriaExpression<O,java.lang.Boolean> right,
                                                                                                      @NotNull
                                                                                                      BinaryLogicalOperator operator)

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)